Subject: bug#6457: 24.0.50; Inappropriate error msg for set-variable

From: "Drew Adams" <[email-masked]>
Date: Sun, 20 Jun 2010 07:47:49 -0700

> > emacs -Q
> > M-x set-variable RET scroll-conservatively
> > Set scroll-conservatively globally to value (0): 99999999 RET
> >
> > No problem. Now do it again, adding one more `9':
> > M-x set-variable RET scroll-conservatively
> > Set scroll-conservatively globally to value (99999999): 
> 999999999 RET
> 
> What is a number in parens?  I don't have these parens.
> Do you use a modified source?

Forget the number in parens.
No, it does not appear with emacs -Q.

> > The error message is this:
> >
> > Value `999999999.0' does not match type integer of
> > scroll-conservatively.

That is still the (inappropriate) error message.

> I can't reproduce this bug when I set to 999999999.

Perhaps it is platform-specific.

> When I tried a larger value "9999999999999999999",
> I get the following error:
> 
>   Arithmetic overflow error: "9999999999999999999"

Perhaps the inappropriate error message is platform-specific.

I definitely see that message with emacs -Q.